Page MenuHomePhabricator

[OPENMP] dist_schedule clause for distribute directive
ClosedPublic

Authored by carlo.bertolli on Dec 3 2015, 6:03 PM.

Details

Summary

This patch adds the dist_schedule clause to the OpenMP distribute directive.
It depends on D15125 [OPENMP] 'omp distribute' directive basic support.

Diff Detail

Repository
rL LLVM

Event Timeline

carlo.bertolli retitled this revision from to [OPENMP] dist_schedule clause for distribute directive.
carlo.bertolli updated this object.
carlo.bertolli set the repository for this revision to rL LLVM.
carlo.bertolli updated this object.
carlo.bertolli added subscribers: sfantao, cfe-commits.

Update dist_schedule patch to reflect changes in distribute directive patch.

ABataev edited edge metadata.Dec 6 2015, 9:02 PM

Tests?

carlo.bertolli edited edge metadata.

Added regression test.

Carlo,

  1. please post your diffs exactly as said in http://llvm.org/docs/Phabricator.html, with full context available.
  2. add a test with ast-printing, serialization/deserialization
include/clang/Basic/OpenMPKinds.def
394–399

Please commit a patch with 'ditribute' directive at first

test/OpenMP/distribute_dist_schedule_messages.cpp
2

Template test?

carlo.bertolli marked an inline comment as done.

Update to dist_schedule patch, as requested: show whole context and add ast print regression test.

ABataev accepted this revision.Jan 11 2016, 3:32 AM
ABataev edited edge metadata.
This revision is now accepted and ready to land.Jan 11 2016, 3:32 AM
carlo.bertolli edited edge metadata.

Remove duplicated error-messages and replace with error-messages2 and 3

Committed revision 257917.

Please notify of any issues.